export default [
    {
        url: '/draw/index.do',
        response: ({ query }) => {
            return {
                success: true,
                code: "",
                message: "",
                timeStamp: Date.now(),
                data: {
                    titleImg: "titleImg",
                    interval: "interval",
                    amount: Math.random() * 100000 >> 0,
                    profit: Math.random() * 10000000 >> 0,
                    cycle: "12312312cyclecycle",
                    remainDrawTime: Math.random() * 3 >> 0,
                    prizeInfo: new Array(6).fill(1).map((_, i) => {
                        return {
                            prizeId: `prizeId${i}`,
                            prizeName: `prizeName${i}`,
                            prizeImg: `prizeImg${i}`,
                        }
                    })
                }
            }
        },
    },
    {
        url: '/draw/join.do',
        response: ({ query }) => {
            const i = Math.random() * 6 >> 0;
            return {
                success: true,
                code: "",
                message: "",
                data: {
                    ruleId: "ruleId",
                    optionId: `prizeId${i}`,
                    optionImg: "optionImg",
                    prizeId: `prizeId${i}`,
                    optionName: `optionName${i}`,
                    prizeType: Math.random() * 5 >> 0,
                    position: Math.random() * 6 >> 0,
                    userRecordId: "userRecordId",
                    url: "url",
                    sendCount: 1,
                },
            }
        },
    },
]
